-------------------------------------------------------------------------------
Superiotool README
-------------------------------------------------------------------------------

Superiotool is a user-space utility which can

 - detect which Super I/O chip is soldered onto your mainboard,

 - at which configuration port it's located (usually 0x2e or 0x4e), and

 - dump all register contents of the Super I/O chip, together with the
   default values as per datasheet (to make comparing the values easy).

It is mainly used for LinuxBIOS development purposes (see linuxbios.org
for details on LinuxBIOS), but it may also be useful for other things.


Installation
------------

 $ svn co svn://linuxbios.org/repos/trunk/util/superiotool

 $ cd superiotool

 $ make

 $ sudo make install


Usage
-----

 $ superiotool [-d] [-V] [-v] [-h]

 -d | --dump            Dump Super I/O register contents
 -V | --verbose         Verbose mode
 -v | --version         Show the superiotool version
 -h | --help            Show a short help text

Per default (no options) superiotool will just probe for a Super I/O
and print its vendor, name, ID, revision, and config port.

Typical usage of superiotool:

 - Probe/detect the Super I/O in your mainboard:

   $ superiotool

 - Register dump as table of hex-values of the Super I/O (if detected):

   $ superiotool -d


Supported Super I/O Chips
-------------------------

Please see http://linuxbios.org/Superiotool#Supported_devices.

There's also a collection of sample register dumps from various Super I/O
chips on that page. Please send further register dumps (either from a
proprietary BIOS and/or from LinuxBIOS) to the LinuxBIOS mailing list
(http://linuxbios.org/Mailinglist).


Website and Mailing List
------------------------

The main website is http://linuxbios.org/Superiotool.

For additional information, patches, and discussions, please join the
LinuxBIOS mailing list at http://linuxbios.org/Mailinglist, where most
superiotool developers are subscribed.


Copyright and License
---------------------

Superiotool is copyrighted by a number of individual developers. Please
refer to the respective source code files for details.

It is licensed under the terms of the GNU General Public License (GPL),
either version 2 of the License, or (at your option) any later version.


Contributors
------------

Carl-Daniel Hailfinger <c-d.hailfinger.devel.2006@gmx.net>
David Hendricks <david.hendricks@gmail.com>
Frieder Ferlemann <Frieder.Ferlemann@web.de>
Idwer Vollering <idwer_v@hotmail.com>
Rasmus Wiman <rasmus@wiman.org>
Robinson P. Tryon <bishop.robinson@gmail.com>
Ronald Minnich <rminnich@gmail.com>
Stefan Reinauer <stepan@coresystems.de>
Ulf Jordan <jordan@chalmers.se>
Uwe Hermann <uwe@hermann-uwe.de>
Ward Vandewege <ward@gnu.org>

